import type Pane from '../pane';
export type MarkOptions = {
    uuid?: string;
    range: Range;
    classList: string[];
    style?: string;
};
declare abstract class Mark {
    uuid: string;
    $group: SVGElement | null;
    pane: Pane | null;
    range: Range;
    classList: string[];
    style?: string;
    constructor({ uuid, range, classList, style }: MarkOptions);
    abstract render(): void;
    bind(pane: Pane): void;
    unbind(): SVGElement | null;
    filteredRanges(): any[];
    _empty(): void;
}
export default Mark;
